import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone } from "@angular/core";
import { Components } from "@julis/web-ui";
export declare interface JlButton extends Components.JlButton {
}
export declare class JlButton {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
}
export declare interface JlCheckbox extends Components.JlCheckbox {
}
export declare class JlCheckbox {
    protected z: NgZone;
    checkedChange: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
}
export declare interface JlFonts extends Components.JlFonts {
}
export declare class JlFonts {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
}
export declare interface JlInput extends Components.JlInput {
}
export declare class JlInput {
    protected z: NgZone;
    valueChange: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
}
export declare interface JlLogo extends Components.JlLogo {
}
export declare class JlLogo {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
}
export declare interface JlProgressBar extends Components.JlProgressBar {
}
export declare class JlProgressBar {
    protected z: NgZone;
    completed: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
}
export declare interface JlTitle extends Components.JlTitle {
}
export declare class JlTitle {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
}
